<?php

namespace Database\Factories\Pilkades;

use App\Modules\Pilkades\Models\Kabupaten;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;

class KabupatenFactory extends Factory
{
    protected $model = Kabupaten::class;

    public function definition(): array
    {
        $nama = 'Kabupaten '.fake()->unique()->numerify('#########');

        return [
            'nama' => $nama,
            'slug' => Str::slug($nama),
            'is_active' => true,
        ];
    }
}
